<?php

namespace Drupal\video_getter;

/**
 * The video Handler.
 */
class VideoHandler implements VideoHandlerInterface {

  /**
   * Save the video.
   */
  public function saveVideoInfo($type, $video, $user_id) {
    $database = \Drupal::database()->insert('video_store');
    $database->fields(
      [
        'videotype' => $type,
        'video_key' => $video,
        'uid' => $user_id,
        'upload_date' => time(),
      ]
    )->execute();

  }

  /**
   * Get the video.
   */
  public function getVideosInfo() {
    $database = \Drupal::database()->select('video_store', 'vi');
    $results = $database->fields('vi',
      [
        'videotype',
        'uid',
        'upload_date',
      ]
      );
    $results->join('file_managed', 'f', 'vi.uid = f.uid');
    $results->addField('f', 'fid', 'fid');
    $results = $results->execute()->fetchAll(\PDO::FETCH_ASSOC);

    return $results;
  }

}
